# https://fedoraproject.org/wiki/Packaging:Haskell

%global pkg_name tabular

Name:           ghc-%{pkg_name}
Version:        0.2.2.7
Release:        4%{?dist}
Summary:        Two-dimensional data tables with rendering functions

License:        BSD
Url:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz

BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
# Begin cabal-rpm deps:
BuildRequires:  ghc-csv-devel
BuildRequires:  ghc-html-devel
BuildRequires:  ghc-mtl-devel
# End cabal-rpm deps

%description
Tabular provides a Haskell representation of two-dimensional data tables, the
kind that you might find in a spreadsheet or or a research report. It also
comes with some default rendering functions for turning those tables into ASCII
art, simple text with an arbitrary delimiter, CSV, HTML or LaTeX.


%package devel
Summary:        Haskell %{pkg_name} library development files
Provides:       %{name}-static = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description devel
This package provides the Haskell %{pkg_name} library development files.


%prep
%setup -q -n %{pkg_name}-%{version}


%build
%ghc_lib_build


%install
%ghc_lib_install


%post devel
%ghc_pkg_recache


%postun devel
%ghc_pkg_recache


%files -f %{name}.files
%doc LICENSE


%files devel -f %{name}-devel.files
%doc example


%changelog
* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.2.7-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.2.7-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Fri Feb 27 2015 Ben Boeckel <mathstuf@gmail.com> - 0.2.2.7-2
- remove unnecessary removal of files (removed upstream)

* Fri Feb 27 2015 Ben Boeckel <mathstuf@gmail.com> - 0.2.2.7-1
- update to 0.2.2.7

* Thu Feb 26 2015 Ben Boeckel <mathstuf@gmail.com> - 0.2.2.6-3
- remove extra examples

* Tue Feb 24 2015 Ben Boeckel <mathstuf@gmail.com> - 0.2.2.6-2
- make 'mv' command verbose
- own the directory

* Tue Feb 24 2015 Fedora Haskell SIG <haskell@lists.fedoraproject.org> - 0.2.2.6-1
- spec file generated by cabal-rpm-0.9.3
- move examples to more Fedora-acceptable location
